# Uses of Interface
org.eclipse.ui.menus.IContributionRoot

Packages that use IContributionRoot
Package
Description
org.eclipse.ui.menus
Provides the public API and default implementation for contributing menu and toolbars to the menu service.

## Uses of IContributionRoot in org.eclipse.ui.menus

Methods in org.eclipse.ui.menus with parameters of type IContributionRoot
Modifier and Type
Method
Description
`abstract void`
AbstractContributionFactory.`createContributionItems(IServiceLocator serviceLocator, IContributionRoot additions)`
This factory should create the IContributionItems that it wants to contribute, and add them to the additions list.